<script runat="server">
Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs)
'######################################################################################
'# jsModusCalendar Handler							      #
'# Receives a room reservation submission and processes it.			      #
'######################################################################################

'##### RESPONSE XML STREAM MEANING
'#	<responseMsg>
'#		<status>success</status>					-> If submission is accepted, specify "success".  If a failure has occurred, specify something other than "success".
'#	</responseMsg>

'##### ASSIGN FORM DATA
dim month As Integer = 0
dim day As Integer = 0
dim year As Integer = 0
dim firstname As String = ""
dim lastname As String = ""
dim email As String = ""
dim organizationname As String = ""
dim eventtitle As String = ""
dim eventdescription As String = ""
dim reservations As String = ""
dim reservationConsecutiveWeeks As Integer = 0
dim reservationConsecutvieMonths As Integer = 0
dim reservationQuantity As Integer = 0
month = Request.Form("month")
day = Request.Form("day")
year = Request.Form("year")
firstname = Request.Form("firstname")
lastname = Request.Form("lastname")
email = Request.Form("email")
organizationname = Request.Form("organizationname")
eventtitle = Request.Form("eventtitle")
eventdescription = Request.Form("eventdescription")
reservations = Request.Form("reservations")
reservationConsecutiveWeeks = CInt(Request.Form("consecutiveweeks"))
reservationConsecutvieMonths = CInt(Request.Form("consecutivemonths"))
reservationQuantity = CInt(Request.Form("quantity"))

'##### FILTER FORM DATA

'##### BREAK UP RESERVATIONS STRING (there can be multiple reservations for the same or multiple rooms)
'# Example of single reservation: 106,8:30AM
'# Example of multiple reservations: 106,8:30AM|110,7:30PM
dim reserveBlocks() As String
if InStr(reservations, "|", vbTextCompare) > 0 Then
	reserveBlocks = split(reservations, "|")
Else
	reserveBlocks(0) = reservations
End if

'##### DETERMINE IF DATA IS SAVED AND SAVE IT

'##### SEND RESPONSE
Response.ContentType = "text/xml"
Response.Write("<" & "?" & "xml version=""1.0"" encoding=""utf-8""" & "?" & ">" & vbCrLf)
Response.Write("<parameters>" & vbCrLf)
Response.Write("	<responseMsg>" & vbCrLf)
Response.Write("		<status>success</status>" & vbCrLf)
Response.Write("	</responseMsg>" & vbCrLf)
Response.Write("</parameters>")
End Sub
</script>