#!/usr/bin/perl -w
######################################################################################
# jsModusCalendar Handler							     #
# Receives a room reservation submission and processes it.			     #
######################################################################################

##### RESPONSE XML STREAM MEANING
#	<responseMsg>
#		<status>success</status>					-> If submission is accepted, specify "success".  If a failure has occurred, specify something other than "success".
#	</responseMsg>

##### GET FORM DATA
read(STDIN, $myaction, $ENV{'CONTENT_LENGTH'});
@pairs = split(/&/, $myaction); 
foreach $pair (@pairs) {
			($name, $value) = split(/=/, $pair);
			$value =~ tr/+/ /;
			$value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
			$value =~ s/<([^>]|\n)*>//g;
			$FORM{$name} = $value;
                       }

##### ASSIGN FORM DATA
$month = 0; $day = 0; $year = 0; $firstname = ""; $lastname = ""; $email = ""; $organizationname = ""; $eventtitle = ""; $eventdescription = ""; $reservations = ""; $reservationconsecutiveweeks = 0; $reservationconsecutviemonths = 0; $reservationquantity = 0;
$month = $FORM{'month'};
$day = $FORM{'day'};
$year = $FORM{'year'};
$firstname = $FORM{'firstname'};
$lastname = $FORM{'lastname'};
$email = $FORM{'email'};
$organizationname = $FORM{'organizationname'};
$eventtitle = $FORM{'eventtitle'};
$eventdescription = $FORM{'eventdescription'};
$reservations = $FORM{'reservations'};
$reservationconsecutiveweeks = $FORM{'consecutiveweeks'};
$reservationconsecutviemonths = $FORM{'consecutivemonths'};
$reservationquantity = $FORM{'quantity'};

##### FILTER FORM DATA

##### BREAK UP RESERVATIONS STRING (there can be multiple reservations for the same or multiple rooms)
# Example of single reservation: 106,8:30AM
# Example of multiple reservations: 106,8:30AM|110,7:30PM
@reserveBlocks = ();
if ($reservations =~ /\|/) { @reserveBlocks = split(/\|/, $reservations); }
else { $reserveBlocks[0] = $reservations; }

##### DETERMINE IF DATA IS SAVED AND SAVE IT

##### SEND RESPONSE
print "Content-type: text/xml\n\n";
print "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n";
print "<parameters>\n";
print "	<responseMsg>\n";
print "		<status>success</status>\n";
print "	</responseMsg>\n";
print "</parameters>";

exit;