<%
'######################################################################################
'# jsModusCalendar Handler							      #
'# Sends what general notes are relevent to the month/day/year selected.  General     #
'# notes are not tied to a specific room but are applicable for the whole day.	      #
'######################################################################################

'##### RESPONSE XML STREAM MEANING
'#	<todayEvent>
'#		<eventTitle>General Training</eventTitle>						-> Title of general note (or event).
'#		<eventDescription>Let us know what your ideas are for training.</eventDescription>	-> Description of general note (or event).
'#	</todayEvent>

'##### ASSIGN FORM DATA
dim month, day, year
month = 0 : day = 0 : year = 0
if Len(Request.Form("date")) > 0 Then
	fullDateInfo = split(Request.Form("date"), "/")
	month = fullDateInfo(0)
	day = fullDateInfo(1)
	year = fullDateInfo(2)
End if

'##### FILTER FORM DATA

'##### MAKE DATABASE CALL TO GET DATA TO SEND

'##### SEND NOTE DATA FOR THE DATE SPECIFIED
Response.ContentType = "text/xml"
%>
<?xml version="1.0" encoding="utf-8"?>
<parameters>
	<todayEvent>
		<eventTitle>General Training</eventTitle>
		<eventDescription>Let us know what your ideas are for training.</eventDescription>
	</todayEvent>
	<todayEvent>
		<eventTitle>Holiday</eventTitle>
		<eventDescription>Remember the holiday is approaching.</eventDescription>
	</todayEvent>
</parameters>
