#!/usr/bin/perl -w
######################################################################################
# jsModusCalendar Handler							     #
# Sends what general notes are relevent to the month/day/year selected.  General     #
# notes are not tied to a specific room but are applicable for the whole day.	     #
######################################################################################

##### RESPONSE XML STREAM MEANING
#	<todayEvent>
#		<eventTitle>General Training</eventTitle>						-> Title of general note (or event).
#		<eventDescription>Let us know what your ideas are for training.</eventDescription>	-> Description of general note (or event).
#	</todayEvent>

##### GET FORM DATA
read(STDIN, $myaction, $ENV{'CONTENT_LENGTH'});
@pairs = split(/&/, $myaction); 
foreach $pair (@pairs) {
			($name, $value) = split(/=/, $pair);
			$value =~ tr/+/ /;
			$value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
			$value =~ s/<([^>]|\n)*>//g;
			$FORM{$name} = $value;
                       }

##### ASSIGN FORM DATA
$month = 0; $day = 0; $year = 0;
@fullDateInfo = split(/\//, $FORM{'date'});
$month = $fullDateInfo[0];
$day = $fullDateInfo[1];
$year = $fullDateInfo[2];

##### FILTER FORM DATA

##### MAKE DATABASE CALL TO GET DATA TO SEND

##### SEND NOTE DATA FOR THE DATE SPECIFIED
print "Content-type: text/xml\n\n";
print "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n";
print "<parameters>\n";
print "	<todayEvent>\n";
print "		<eventTitle>General Training</eventTitle>\n";
print "		<eventDescription>Let us know what your ideas are for training.</eventDescription>\n";
print "	</todayEvent>\n";
print "	<todayEvent>\n";
print "		<eventTitle>Holiday</eventTitle>\n";
print "		<eventDescription>Remember the holiday is approaching.</eventDescription>\n";
print "	</todayEvent>\n";
print "</parameters>";

exit;