<?php
/*
######################################################################################
# jsModusCalendar Handler							     #
# Sends details of each available room (for making or viewing room reservations) in  #
# the day pane.									     #
######################################################################################
*/

/*
##### RESPONSE XML STREAM MEANING
#	<roomDetail>
#		<room>101</room>								-> Available room number.
#		<capacity>6</capacity>								-> Number of seats in room.
#		<roomName>Tiny Room</roomName>							-> Name of room.
#		<roomType>Standard</roomType>							-> Type of room.
#		<roomFeatures>tables; chairs; tv; computer; phone; whiteboard</roomFeatures>	-> Hardware present in room.
#	</roomDetail>
*/

/*
##### SEND ROOM DETAILS
*/
header("Content-type: text/xml");
print "<" . "?" . "xml version=\"1.0\" encoding=\"utf-8\"" . "?" . ">\r\n";
print "<parameters>\r\n";
print "	<roomDetail>\r\n";
print "		<room>101</room>\r\n";
print "		<capacity>6</capacity>\r\n";
print "		<roomName>Tiny Room</roomName>\r\n";
print "		<roomType>Standard</roomType>\r\n";
print "		<roomFeatures>tables; chairs; tv; computer; phone; whiteboard</roomFeatures>\r\n";
print "	</roomDetail>\r\n";
print "	<roomDetail>\r\n";
print "		<room>104</room>\r\n";
print "		<capacity>4</capacity>\r\n";
print "		<roomName>Chat Room</roomName>\r\n";
print "		<roomType>Standard</roomType>\r\n";
print "		<roomFeatures>chairs; tv; vcr; dvd</roomFeatures>\r\n";
print "	</roomDetail>\r\n";
print "	<roomDetail>\r\n";
print "		<room>103</room>\r\n";
print "		<capacity>34</capacity>\r\n";
print "		<roomName>Bigger Room</roomName>\r\n";
print "		<roomType>Standard</roomType>\r\n";
print "		<roomFeatures>tables; chairs</roomFeatures>\r\n";
print "	</roomDetail>\r\n";
print "	<roomDetail>\r\n";
print "		<room>106</room>\r\n";
print "		<capacity>30</capacity>\r\n";
print "		<roomName>Big Room</roomName>\r\n";
print "		<roomType>Standard</roomType>\r\n";
print "		<roomFeatures>computer; projector; pulldown screen; whiteboard; tv; dataports</roomFeatures>\r\n";
print "	</roomDetail>\r\n";
print "</parameters>";
?>